## lxqt-branding-debian 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-theme-debian)

set(LXQTBT_MINIMUM_VERSION "0.1.0")

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

include(GNUInstallDirs)
include(LXQtTranslateDesktop)
include(LXQtConfigVars)

add_subdirectory(lxqt)
add_subdirectory(pcmanfm-qt)
add_subdirectory(themes)
add_subdirectory(xfce4)

=== debian/changelog ===
lxqt-branding-debian (0.14.0) unstable; urgency=medium

  * Initial release (Closes: #883037 )
  * Provide debian backgrounds as default (Closes: #914345)

 -- Alf Gaida <agaida@siduction.org>  Sun, 03 Feb 2019 17:05:11 +0100

=== debian/control ===
Source: lxqt-branding-debian
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               lxqt-build-tools (>= 0.6.0)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-branding-debian
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-branding-debian.git
Homepage: https://salsa.debian.org/lxqt-team/lxqt-branding-debian

Package: lxqt-branding-debian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         desktop-base,
         gnome-themes-extra,
         lxqt-theme-debian,
         oxygen-icon-theme,
         papirus-icon-theme,
         xfwm4-theme-breeze,
         xsettingsd
Provides: lxqt-branding
Breaks: lxqt-common (<< 0.11.3)
Replaces: lxqt-common (<< 0.11.3)
Description: Debian branding for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 The branding package contains misc. downstream configurations for LXQt.

Package: lxqt-theme-debian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         desktop-base,
         lxqt-system-theme
Provides: lxqt-theme
Description: Debian theme for LXQt
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 The Debian LXQt theme is based on the theme LXQt Dark.
 .
 This Package contains LXQt theme files.

## lxqt-branding-debian 0.14.0.1

=== debian/changelog ===
lxqt-branding-debian (0.14.0.1) unstable; urgency=medium

  * Added needed Breaks and Replaces for lxqt-panel. (Closes: #921479)
    Thanks Andreas Beckmann (anbe@debian.org) for the finding.

 -- Alf Gaida <agaida@siduction.org>  Wed, 06 Feb 2019 01:42:13 +0100

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,10 @@
          xfwm4-theme-breeze,
          xsettingsd
 Provides: lxqt-branding
-Breaks: lxqt-common (<< 0.11.3)
-Replaces: lxqt-common (<< 0.11.3)
+Breaks: lxqt-common (<< 0.11.3),
+        lxqt-panel (<< 0.12.0)
+Replaces: lxqt-common (<< 0.11.3),
+          lxqt-panel (<< 0.12.0)
 Description: Debian branding for LXQt
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and

## lxqt-branding-debian 0.14.0.3

=== lxqt/CMakeLists.txt ===
install(DIRECTORY
    .
    DESTINATION "/etc/xdg/lxqt"
    COMPONENT Runtime
    PATTERN "CMake*"
    EXCLUDE PATTERN "cmake*"
    EXCLUDE PATTERN "Makefile" EXCLUDE
)

=== xfce4/CMakeLists.txt ===
install(DIRECTORY
    .
    DESTINATION "/etc/xdg/xfce4"
    COMPONENT Runtime
    PATTERN "CMake*"
    EXCLUDE PATTERN "cmake*"
    EXCLUDE PATTERN "Makefile" EXCLUDE
)

=== debian/changelog ===
lxqt-branding-debian (0.14.0.3) unstable; urgency=medium

  * Relaxed dependencies as far as possible (Closes: #922505)
  * Added basic qterminal settings

 -- Alf Gaida <agaida@siduction.org>  Sun, 17 Feb 2019 18:31:21 +0100

lxqt-branding-debian (0.14.0.2) unstable; urgency=medium

  * Added desktop files for xfwm4 settings modified for LXQt

 -- Alf Gaida <agaida@siduction.org>  Sat, 16 Feb 2019 22:54:49 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-         desktop-base,
-         gnome-themes-extra,
          lxqt-theme-debian,
-         oxygen-icon-theme,
-         papirus-icon-theme,
-         xfwm4-theme-breeze,
          xsettingsd
 Provides: lxqt-branding
 Breaks: lxqt-common (<< 0.11.3),
@@ -41,6 +36,10 @@
 Depends: ${misc:Depends},
          desktop-base,
          lxqt-system-theme
+Recommends: gnome-themes-extra,
+            oxygen-icon-theme,
+            papirus-icon-theme,
+            xfwm4-theme-breeze
 Provides: lxqt-theme
 Description: Debian theme for LXQt
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt

## lxqt-branding-debian 0.14.0.3+nmu1

=== debian/changelog ===
lxqt-branding-debian (0.14.0.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:45:54 +0800

## lxqt-branding-debian 0.14.0.4

=== debian/changelog ===
lxqt-branding-debian (0.14.0.4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on lxqt-build-tools.
    + lxqt-branding-debian: Drop versioned constraint on lxqt-panel in Replaces.
    + lxqt-branding-debian: Drop versioned constraint on lxqt-panel in Breaks.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Andrew Lee (李健秋) ]
  * debian/control: update team address.
  * debian/control: add myself as uploader.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: drop breaks and replaces on obsoleted version.
  * debian/copyright: update
  * debian/salsa-ci.yml: added.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Sep 2023 21:36:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lxqt-branding-debian
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
-Uploaders: Alf Gaida <agaida@siduction.org>
+Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
+Uploaders: Alf Gaida <agaida@siduction.org>,
+           Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               lxqt-build-tools (>= 0.6.0)
-Standards-Version: 4.3.0
+               lxqt-build-tools
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-branding-debian
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-branding-debian.git
 Homepage: https://salsa.debian.org/lxqt-team/lxqt-branding-debian
@@ -18,10 +19,6 @@
          lxqt-theme-debian,
          xsettingsd
 Provides: lxqt-branding
-Breaks: lxqt-common (<< 0.11.3),
-        lxqt-panel (<< 0.12.0)
-Replaces: lxqt-common (<< 0.11.3),
-          lxqt-panel (<< 0.12.0)
 Description: Debian branding for LXQt
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and

## lxqt-branding-debian 0.14.0.4ubuntu1

=== debian/changelog ===
lxqt-branding-debian (0.14.0.4ubuntu1) plucky; urgency=medium

  * Build-depend on the Qt 5 lxqt-build-tools.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 05:21:03 -0600

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lxqt-branding-debian
-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               lxqt-build-tools
+               lxqt-build-tools-qt5
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-branding-debian
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-branding-debian.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1


%:
	dh ${@} --buildsystem cmake

## lxqt-branding-debian 0.14.0.5

=== debian/changelog ===
lxqt-branding-debian (0.14.0.5) unstable; urgency=medium

  * Update debian/salsa-ci.yml file
  * Clean up of group membership after 2nd calls.
  * Run wrap-and-sort.
  * debian/control: build-deps on lxqt-build-tools-qt5. (Closes: #1090245)
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 15 Feb 2025 15:01:13 +0100

## lxqt-branding-debian 0.14.0.6

=== debian/changelog ===
lxqt-branding-debian (0.14.0.6) unstable; urgency=medium

  * lxqt/panel.conf: fix default menu plugin. (Closes: #1089868)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 23 Mar 2025 18:21:21 +0100

## lxqt-branding-debian 0.14.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,9 @@
 include(LXQtTranslateDesktop)
 include(LXQtConfigVars)
 
+add_subdirectory(applications)
 add_subdirectory(lxqt)
 add_subdirectory(pcmanfm-qt)
+add_subdirectory(qterminal.org)
 add_subdirectory(themes)
 add_subdirectory(xfce4)

=== applications/CMakeLists.txt ===
install(DIRECTORY
    .
    DESTINATION "/usr/share/applications"
    COMPONENT Runtime
    PATTERN "CMake*"
    EXCLUDE PATTERN "cmake*"
    EXCLUDE PATTERN "Makefile" EXCLUDE
)

=== pcmanfm-qt/CMakeLists.txt ===
install(DIRECTORY
    .
    DESTINATION "/etc/xdg/pcmanfm-qt"
    COMPONENT Runtime
    PATTERN "CMake*"
    EXCLUDE PATTERN "cmake*"
    EXCLUDE PATTERN "Makefile" EXCLUDE
)

=== qterminal.org/CMakeLists.txt ===
install(DIRECTORY
    .
    DESTINATION "/etc/xdg/qterminal.org"
    COMPONENT Runtime
    PATTERN "CMake*"
    EXCLUDE PATTERN "cmake*"
    EXCLUDE PATTERN "Makefile" EXCLUDE
)

=== debian/changelog ===
lxqt-branding-debian (0.14.0.7) unstable; urgency=medium

  * Releasing debian version 0.14.0.6.
  * debian/rules: add -DCMAKE_POLICY_VERSION_MINIMUM=3.5.
    (Closes: #1113257).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 11 Oct 2025 14:33:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: lxqt-branding-debian
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
-Uploaders: Alf Gaida <agaida@siduction.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
+Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               lxqt-build-tools-qt5
+Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools-qt5
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-branding-debian
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-branding-debian.git
@@ -16,9 +12,7 @@
 Package: lxqt-branding-debian
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         lxqt-theme-debian,
-         xsettingsd
+Depends: lxqt-theme-debian, xsettingsd, ${misc:Depends}
 Provides: lxqt-branding
 Description: Debian branding for LXQt
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
@@ -31,9 +25,7 @@
 Package: lxqt-theme-debian
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         desktop-base,
-         lxqt-system-theme
+Depends: desktop-base, lxqt-system-theme, ${misc:Depends}
 Recommends: gnome-themes-extra,
             oxygen-icon-theme,
             papirus-icon-theme,

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh ${@} --buildsystem cmake
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	    -DCMAKE_POLICY_VERSION_MINIMUM=3.5
